package config

import (
	"gopkg.in/yaml.v2"
	"io/ioutil"
)

func ConfigParse(file string, in interface{}) error {
	yamlFile, err := ioutil.ReadFile(file)
	if err != nil {
		return err
	}
	err = yaml.Unmarshal(yamlFile, in)
	if err != nil {
		return err
	}
	return nil
}
